Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.parser
Class HTMLParseError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.apache.jmeter.protocol.http.parser.HTMLParseError

All Implemented Interfaces:
  Serializable

public class HTMLParseError
extends Error

Error class for use with HTMLParser classes. The main rationale for the class is to support chained Errors in JDK 1.3

Version:
  $Revision: 674365 $
See Also:
  Serialized Form

Constructor Summary
`HTMLParseError()`
`HTMLParseError(String message)`
`HTMLParseError(String message, Throwable cause)`
`HTMLParseError(Throwable cause)`

Method Summary
`Throwable` | `getCause()` Local verstion of getCause() for JDK1.3 support

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLParseError

    public HTMLParseError()

### HTMLParseError

    public HTMLParseError(String message)

Parameters:
  `message` -

### HTMLParseError

    public HTMLParseError(Throwable cause)

Parameters:
  `cause` -

### HTMLParseError

    public HTMLParseError(String message,
                          Throwable cause)

Parameters:
  `message` -
  `cause` -

Method Detail

### getCause

    public Throwable getCause()

  Local verstion of getCause() for JDK1.3 support

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.